View Issue Details

IDProjectCategoryView StatusLast Update
0004643Talerdeployment and operationspublic2019-09-16 09:21
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version0.0 
Target Version0.6Fixed in Version0.6 
Summary0004643: exchange sometimes runs into permission problems with keys
DescriptionSince
 taler-exchange-keyup creates keys with "rw-------", we run into
problems when {test,demo}-blue creates keys and {test,demo}-green wants
to read them.

Either taler-exchange-keyup should learn an option to create keys with
group permissions, or we should have some wrapper script to fix up
permission afterwards.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-06-07 15:51

manager   ~0014518

Fixed @ 0c3c165 @ deployment.git

The keyup wrapper script chmods to g+rwx ALL the shared-data/ directory.

Issue History

Date Modified Username Field Change
2016-09-06 13:25 Florian Dold New Issue
2016-09-26 14:35 Christian Grothoff Severity minor => tweak
2016-09-26 14:35 Christian Grothoff Status new => confirmed
2016-09-26 14:35 Christian Grothoff Product Version => 0.0
2016-09-26 14:35 Christian Grothoff Description Updated View Revisions
2019-06-07 15:51 Marcello Stanisci Note Added: 0014518
2019-06-07 15:51 Marcello Stanisci Assigned To => Marcello Stanisci
2019-06-07 15:51 Marcello Stanisci Status confirmed => resolved
2019-06-07 15:51 Marcello Stanisci Resolution open => fixed
2019-09-16 09:21 Christian Grothoff Fixed in Version => 0.6
2019-09-16 09:21 Christian Grothoff Target Version => 0.6